Servoy 6.1.x to Servoy 7.3 upgrade

Servoy announcements

Servoy 6.1.x to Servoy 7.3 upgrade

Postby Jan Blok » Fri Nov 08, 2013 5:50 pm

We are pleased to announce the upgrade path for Servoy 6.1.x to Servoy 7.3

As highlighted in blogpost:
http://servoyblog.wordpress.com/2013/11 ... cy-update/
Servoy 7.x is considered the same as Servoy 6.1.6 + Servoy mobile.

In order to update Servoy 6.1.x we strongly advice (as always) to make a backup of your current Servoy installation. (directory and database)

To update Servoy 6.1.x Developer, change the Servoy update site url to:
http://www.servoy.com/developer/70x_updates
via Window > Preferences > Install/Update > Available Software Sites
Then "Check for updates" via help menu.

To update Servoy 6.1.x server follow the steps:
1) run the servoy_updater in the installation directory
2) change the servoy_server.bat/.sh to include the lib "wiquery.jar" in classpath (OR change the wrapper.conf to include the lib "wiquery.jar" in classpath)
3) start the server and pass the "-upgradeRepository" flag (as told when you omit)
When completed, start the server normally

There are 4 fixed issues in Servoy 7 which might cause different solution behaviour:
1) SVY-4288 Column converters aren't called to translate values when using FoundsetUpdater
2) SVY-3787 Converters ignored when using find or addFoundSetFilter
3) SVY-3673 Client Design lost state
4) SVY-5036 User properties usage from headlessclients like batchprocessors are no longer stored in servoy.properties
Check these issues to make sure you are not affected or adapt your solution accordingly.
Jan Blok
Servoy
Jan Blok
 
Posts: 2684
Joined: Mon Jun 23, 2003 11:15 am
Location: Amsterdam

Re: Servoy 6.1.x to Servoy 7.3 upgrade

Postby jcarlos » Tue Nov 12, 2013 3:35 am

Excellent!
Juan-Carlos Sanchez, Stanford University - Law and Economics
jcarlos
 
Posts: 569
Joined: Thu May 04, 2006 8:55 pm
Location: Palo Alto, California USA

Re: Servoy 6.1.x to Servoy 7.3 upgrade

Postby jcarlos » Wed Nov 27, 2013 8:27 am

I upgraded my Servoy installation exactly as described above. I upgraded from Servoy Server Version: 6.1.3 (build 1424) to 7.3 (build 2018). It all seems to be working.

I got this warning:

Code: Select all
Warning: You are installing software that contains unsigned content. The authenticity or validity of this software cannot be established. Do you want to continue with the installation?
  C:\Servoy\developer\plugins\com.collabnet.subversion.merge_4.0.2.jar
  C:\Servoy\developer\features\com.collabnet.subversion.merge.feature_4.0.2
  C:\Servoy\developer\plugins\com.trilead.ssh2_1.0.0.build217_r155_v20130603_1628.jar
  C:\Servoy\developer\plugins\net.java.dev.jna_3.5.2.jar
  C:\Servoy\developer\features\net.java.dev.jna_3.5.2
  C:\Servoy\developer\plugins\org.tigris.subversion.clientadapter_1.10.1.jar
  C:\Servoy\developer\features\org.tigris.subversion.clientadapter.feature_1.10.1
  C:\Servoy\developer\plugins\org.tigris.subversion.clientadapter.javahl_1.8.4.jar
  C:\Servoy\developer\features\org.tigris.subversion.clientadapter.javahl.feature_1.8.4
  C:\Servoy\developer\plugins\org.tigris.subversion.clientadapter.javahl.win64_1.8.4
  C:\Servoy\developer\plugins\org.tigris.subversion.clientadapter.svnkit_1.8.0.1.jar
  C:\Servoy\developer\features\org.tigris.subversion.clientadapter.svnkit.feature_1.8.0.1
  C:\Servoy\developer\plugins\org.tigris.subversion.subclipse.core_1.10.3.jar
  C:\Servoy\developer\features\org.tigris.subversion.subclipse_1.10.3
  C:\Servoy\developer\plugins\org.tigris.subversion.subclipse.ui_1.10.3.jar
  C:\Servoy\developer\plugins\org.tmatesoft.sqljet_1.1.8.SNAPSHOT_r1300_v20130826_2110.jar
  C:\Servoy\developer\plugins\org.tmatesoft.svnkit_1.8.0.rc1_r10069_v20131105_1500.jar
  C:\Servoy\developer\features\org.tmatesoft.svnkit_1.8.0.rc1_r10069_v20131105_1500


Is this warning expected? I thought so. I clicked 'continue' with the installation. It all seems to be Ok. Just FYI.

You might also get:

Capture2.JPG


Just upgrade. It will work.

Carlos
You do not have the required permissions to view the files attached to this post.
Juan-Carlos Sanchez, Stanford University - Law and Economics
jcarlos
 
Posts: 569
Joined: Thu May 04, 2006 8:55 pm
Location: Palo Alto, California USA

Re: Servoy 6.1.x to Servoy 7.3 upgrade

Postby Jan Blok » Wed Nov 27, 2013 10:34 am

Thanks for sharing your experience, glad it worked.
Several external eclipse plugins are indeed unsigned, like SVN...not something we can change.
Jan Blok
Servoy
Jan Blok
 
Posts: 2684
Joined: Mon Jun 23, 2003 11:15 am
Location: Amsterdam


Return to Announcements

Who is online

Users browsing this forum: No registered users and 1 guest